### org.jfree.layouting.layouter.context

# Class DefaultElementContext

- `java.lang.Object`
- - `org.jfree.layouting.layouter.context.DefaultElementContext`

Implemented Interfaces:
  ElementContext

Known Direct Subclasses:
  LogicalPageElementContext, PhysicalPageElementContext

`public class DefaultElementContext`
`extends java.lang.Object`
`implements ElementContext`

=========================================== LibLayout : a free Java layouting library =========================================== Project Info: http://reporting.pentaho.org/liblayout/ (C) Copyright 2006-2007, by Pentaho Corporation and Contributors. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version. This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details. You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. [Java is a trademark or registered trademark of Sun Microsystems, Inc. in the United States and other countries.] ------------ $Id: DefaultElementContext.java 3524 2007-10-16 11:26:31Z tmorgner $ ------------ (C) Copyright 2006-2007, by Pentaho Corporation.

  ## Constructor Summary

  `DefaultElementContext(ElementContext parentContext)`

  ## Method Summary

  `int`

  `getCounterValue(String counterName)`
    Returns the value for the given counter.

  `String`

  `getString(String name)`
    Retrieves the value for a given string.

  `void`

  `incrementCounter(String name, int value)`
    Increments the counter with the given name.

  `boolean`

  `isCounterDefined(String counterName)`
    Checks, whether a counter is defined in this or one of the parent contexts.

  `void`

  `resetCounter(String name, int value)`
    Reseting an counter creates a new Counter-Instance.

  `void`

  `setString(String name, String value, boolean define)`
    Sets a named string.

## Constructor Details

### DefaultElementContext

    public DefaultElementContext(ElementContext parentContext)

## Method Details

### getCounterValue

    public int getCounterValue(String counterName)

> Returns the value for the given counter. If no counter exists under that name, this method returns 0.
> Specified by:
>   getCounterValue in interface ElementContext
> Parameters:
>   `counterName` -
> Returns:
>   the value for the given counter.

### getString

    public String getString(String name)

> Retrieves the value for a given string. The value returned always represents the *actual* value, ignoring any possibly defined page-policies.
> Specified by:
>   getString in interface ElementContext
> Parameters:
>   `name` -
> Returns:

### incrementCounter

    public void incrementCounter(String name,
                                 int value)

> Increments the counter with the given name. If no counter is known under that name, the root node will create one.
> Specified by:
>   incrementCounter in interface ElementContext
> Parameters:
>   `name` -
>   `value` -

### isCounterDefined

    public boolean isCounterDefined(String counterName)

> Checks, whether a counter is defined in this or one of the parent contexts. A counter gets defined by the 'counter-reset' property.
> Specified by:
>   isCounterDefined in interface ElementContext
> Parameters:
>   `counterName` - the counter name.
> Returns:
>   true, if the counter is defined, false otherwise.

### resetCounter

    public void resetCounter(String name,
                             int value)

> Reseting an counter creates a new Counter-Instance. Counters from parent elements are not affected and remain unchanged. All further operations issued by all sub-elements will now work with this counter.
> Specified by:
>   resetCounter in interface ElementContext
> Parameters:
>   `name` -
>   `value` -

### setString

    public void setString(String name,
                          String value,
                          boolean define)

> Sets a named string.
> Specified by:
>   setString in interface ElementContext
> Parameters:
>   `name` - the name
>   `value` - the value
>   `define` - if set to true, this defines a new nesting context.